
Redmine - Defect #17302

Forwarding from issues time entries page to project time entries page

2014-06-25 16:06 - Pavel Potcheptsov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.4.0

Description

Open issue page, click on Spent time link:

http://redmine.org/projects/redmine/issues/1111/time_entries

then edit or delete any entries and you will be forwarded to:

http://redmine.org/projects/redmine/time_entries

But I'd like to stay at previous page to continue some action there.

Instead I need to Back in browser and refresh page.

Related issues:

Related to Redmine - Defect #14817: Redmine loses filters after deleting a sp... Closed

Is duplicate of Redmine - Defect #9016: displayed page after deleting time_entry Closed 2011-08-09

History

#1 - 2014-07-25 09:58 - Toshi MARUYAMA

- Category changed from Issues to Time tracking

#2 - 2015-03-31 20:43 - Leonel Iturralde

That doesn't happen in redmine 3.0.0 .

It stays on same page after edit or delete .

#3 - 2015-04-01 04:53 - Go MAEDA

Leonel Iturralde wrote:

That doesn't happen in redmine 3.0.0 .

It stays on same page after edit or delete .

 No. The redirection still happens. I tested in latest trunk (r14155).

#4 - 2015-04-01 09:42 - Pavel Potcheptsov

Strange, I've tested with my 2.6.0 and 3.0 and redirection gone away.

#5 - 2015-04-01 15:51 - Leonel Iturralde

Go MAEDA wrote:

Leonel Iturralde wrote:

That doesn't happen in redmine 3.0.0 .

It stays on same page after edit or delete .

 No. The redirection still happens. I tested in latest trunk (r14155).

 I tried testing again and realized that If I delete a time entry the redirection is still there, but no if I just edit the time entry.

#6 - 2016-12-18 17:10 - Marius BĂLTEANU

Related/duplicates #9016.
http://redmine.org/projects/redmine/issues/1111/time_entries
http://redmine.org/projects/redmine/time_entries
https://www.redmine.org/projects/redmine/repository/svn/revisions/14155
https://www.redmine.org/projects/redmine/repository/svn/revisions/14155
https://www.redmine.org/issues/9016


From my checks, the current route for viewing issue time entries is /projects/redmine/time_entries?issue_id=~1 and you are redirected to the same

page after delete/edit action.

#7 - 2016-12-19 21:54 - Mischa The Evil

- Status changed from New to Needs feedback

#8 - 2018-02-25 17:17 - Marius BĂLTEANU

- Is duplicate of Defect #9016: displayed page after deleting time_entry added

#9 - 2018-02-25 17:20 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

I'm closing this issue from 2 reasons:

- I tried again and it works as expected

- Lack of feedback.

#10 - 2018-02-25 17:21 - Marius BĂLTEANU

- Related to Defect #14817: Redmine loses filters after deleting a spent time added
